/**CFile***********************************************************************

  FileName    [ cceMain.c ]

  PackageName [ cce ]

  Synopsis    [ Entry routines ]

  Author      [ Stephen A. Edwards <sedwards@eecs.berkeley.edu> ]

  Copyright   [ ]

******************************************************************************/

#include "cceInt.h" 
#include "tcl.h"

/**AutomaticStart*************************************************************/

/**AutomaticEnd***************************************************************/

int
Tcl_AppInit( Tcl_Interp * interp )
{
  if ( Tcl_Init(interp) == TCL_ERROR ) {
    return TCL_ERROR;
  }

  if ( Cce_Init(interp) == TCL_ERROR ) {
    return TCL_ERROR;
  }

  Tcl_SetVar(interp, "tcl_rcFileName", "~/.tclshrc", TCL_GLOBAL_ONLY);

  return TCL_OK;
}

/**Function********************************************************************

  Synopsis           [ The main() routine ]

  SideEffects        []

******************************************************************************/
#ifdef HAVE_TCL_MAIN
int main( int argc, char ** argv )
{
  Tcl_Main(argc, argv, Tcl_AppInit);

  return 0;
}
#endif /* HAVE_TCL_MAIN */
